



















                                 STEPCO  PEAK  SPRING

                            SUPPLEMENTARY PROGRAMS FOR THE


                                X-RAY  RIETVELD  SYSTEM



                                          BY



                              Ch. Baerlocher and A. Hepp
                  Institut fr Kristalloqraphie und Petrographie, ETH
                                    CH-8092 Zrich





















          I. INTRODUCTION

              The X-Ray Rietveld System (XRS-82) is a complete collection of
          programs for the refinement of crystal structures with powder data
          by  the  whole-pattern-fitting  structure  refinement   (Rietveld)
          technique. The  programs  are  all  written  in  FORTRAN  and  are
          supplied on magnetic tape. This tape also  contains  the  write-up
          for the main programs. It can be listed with the system's  program
          WRITEU. The input description for WRITEU is at  the  end  of  this
          manual.
              The installation of the preliminary programs STEPC0, PEAK  and
          SPRING  is  straightforward  since  they  are  all  self-contained
          programs. However, the main programs of the X-Ray Rietveld  System
          are based on the  familiar  X-Ray  System  and  are  organized  as
          program overlays. The relevant information regarding their  set-up
          at  a  particular  computer  facility  can  be  found  in  comment
          statements in the source deck itself.
              To aid in the understanding of  the  X-Ray  Rietveld  System's
          organization, a short flow chart of the main programs  with  input
          and output files is given in the next section. It also provides an
          overview of the sequence in which jobs for a  typical  application
          should be run.
              For most programs an input example is included in the appendix
          of the write-up. The main files read and written by each  job  are
          also  listed.  The  printout  for  these  examples   is   supplied
          separately and can be used as a check for the  proper  running  of
          the programs.


          STEPCO

          I. PROGRAM DESCRIPTION

              STEPCO is the first program of the  whole  pattern  refinement
          system, and is  used  to  correct  the  original  step  scan  data
          obtained from a  film  scanner  or  a  powder  diffractometer.  It
          applies scale factors to different ranges of the  profile,  merges
          overlapping ranges, determines and subtracts the  background,  and
          can apply 2theta  corrections  to  the  different  ranges  of  the
          pattern, subtract a second phase and perform an alpha2 elimination
          for Cu radiation. The data input file is read in  free  format.  A
          record (card image) can contain the values (2theta  ,  counts  and
          sigma) for more than one step. The data within each range must  be
          in order of increasing 2theta. Gaps and  repetitions  (overlapping
          ranges) are permitted, but, the starting 2theta value of any range
          should not be lower than that of the previous range. There are two
          output  files:  a  coded  file  (which  can  be  used  for  manual
          corrections and for plotting) and a binary pattern file  which  is
          used in the subsequent programs. Both files can also  be  used  as
          input  files  for  STEPCO  to  allow   for   further   corrections
          (background, 2theta) which might be necessary.
              The background values are either determined by the program  or
          read in from cards. Half way  between  each  background  value  an
          additional value is  generated  by  quadratic  interpolation.  The
          background  is  then  obtained  by   linear   interpolation.   The
          background values used are written on the coded file  and  can  be
          edited and read in again if required.
              The 2theta corrections are calculated using a polynomial  with
          up to 3 terms. A different correction can be applied to up  to  10
          regions of the pattern.
              Each input card is identified by a name.  Their  sequence  and
          appearance is determined by the type of job to be done.  All  data
          is read in free format.


          II. INPUT DESCRIPTION

              The input cards contain two fields: the card identification up
          to column 6 and the parameter field from column 7 to 80. The  card
          names accepted by the program are: LABEL,  STEPCO,  SCALE,  BGRND,
          BGVALU, THCOR, POLRA, WEIGHT, 2THETA, ALPHA2. FILES,  END,  FINISH
          and blank (continuation card).

          LABEL card

              Any alphanumeric information desired. It will  be  printed  on
          top of each page and used to label the data files.

          STEPCO card

              This card can contain a number of key words which control  the
          program. Their meaning or function  is  as  follows  (alphabetical
          list).
          COUNTS  The input file contains only counts. (2theta, 2theta max,
                  min and step size for each range are supplied on the SCALE
                  cards)
          LP      Correct profile with Lp factor (see POLRA card)
          NOBGRD  Do not determine background automatically
          OLDBG   Read and use BGVALE cards from coded (scaled) step scan
                  data file
                        (Note: these background values can be supplemented
                         with BGVALU cards in the card input)
          PRINT   Print corrected step scan data on the line printer
          RBINF   Read old binary pattern file instead of coded step scan
                  data 
                        (Note: to use this option, rename FORT.14 to FORT.34) 
          WCODED  Write a coded file with scaled and merged step scan data.
                  This file can be modified by the user and then read again
                  as an input file. It can also serve as an input file for 
                  the plot program PROPLT (in current version by DMPLOT).
          PSUB    Subtract the calculated pattern of a second phase. This
                  pattern is assumed to have the format of the plot file of
                  =CRYLSP= i.e. one line per step, the sequence within the
                  line being: 2theta, y(obs), y(calc) = pattern of second
                  phase. The input file number is 10.

          SCALE card

              This card can contain up to 4 values,  namely,  scale  factor,
          2theta min, 2theta max and step size. 2theta min  and  2theta  max
          define the 2theta range for which  this  scale  factor  should  be
          applied. If 2theta max and 2theta min are  not  given,  the  scale
          factor is applied to the next range. (The ranges on the input file
          are terminated either by a "-l" or an "end  of  record".)  If  the
          step size (increment  in  2theta  )  is  not  given,  it  will  be
          determined from the first 3 measurements of  the  step  scan  data
          file.


              Since each scale card is processed as it is read in, they must
          be in the same order as the respective data in the file.  For  the
          same reason, there must be at least one scale card (with a  factor
          1.0) submitted even if no scaling of the original step  scan  data
          is required. This scale card forces the original step scan data to
          be read. (Note: a scale card is not required to  read  the  scaled
          coded or binary pattern written by STEPCO).

          BGRND card

              This card contains the value  for  the  number  of  successive
          steps to be used for the calculation of the background  values  in
          the automatic background determination mode. Default: 10.

          BGVALU card

              With this card background values can be  supplied.  Each  card
          contains (1) 2theta  value, (2) background count and,  optionally,
          (3) the standard deviation. On subsequent cards  the  name  BGVALU
          can be omitted and the first 6  columns  left  blank.  The  2theta
          values can be in any order, the 2theta  intervals  are  not  fixed
          and must not be equal. The first and last  background  values  for
          the profile range  are  extrapolated  by  the  program  (quadratic
          extrapolation). If the standard deviation  is  not  supplied,  the
          square root  of  the  background  count  is  taken.  No  automatic
          background  determination  is  performed  when  BGVALU  cards  are
          submitted.

          THCOR card

              The 2theta correction is made using the following formula

               2theta corr = 2theta + R + S*2theta + T*(2theta )**2

              Each card contains up to 5 values (minimum 3) in the following
          order: 2theta min, 2theta max, R, S and  T.  Up  to  10  different
          ranges with different 2theta  corrections can  be  specified.  The
          correction is applied after overlapping ranges  have  been  scaled
          and merged. The default value for R, S and T is zero.

          POLRA card

              This  card  contains  the  polarization  ratio  used  in   the
          calculation  of  the  Lp  factor  for  polarized  radiation  (e.g.
          radiation from a crystal monochromator). The formula used for  the
          Lp correction is

                      sin(theta)*sin(theta)*cos(theta)*(1.+POLRA)
               y(i) = -------------------------------------------
                         2.*(1. + POLRA*cos(2theta)*cos(2theta)


          WEIGHT card

              In subroutine WEIGHT the user can define his  own  function(s)
          for the weight to be applied to each step  of  the  profile.  This
          weight will also be written onto the profile file (in addition  to
          the value 1/sigma). Different weighting schemes can be  programmed
          and the first value on this card gives the number of the weighting
          function to be used. The remaining field of the card can  be  used
          to supply  up  to  10  parameters  for  this  user  function  (see
          subroutine WEIGHT for further details).

           In this version of XRS two types of WEIGHT cards can be applied:
          a) WEIGHT 1 A B
             A is a treshold value for intesity (with the background)
             B multiplication factor 
          if intesity less than A then Weight = 1/(sigma**2)
          if intesity greater than B then Weight = B/(sigma**2)
          b) WEIGHT 2 C D
             Weight = 1/(sigma**2 + C*INB)**D
             INB is intensity without background 



          2THETA card

              With this card 2theta min and 2theta max (in  this  order)  of
          the pattern can be defined. If only one  value  is  found  on  the
          card, it will be taken as the 2theta max value. Only the 2theta 
          range defined by these limits is written on the output files. 
          Default (no 2THETA card): all data are used.

          ALPHA2 card (warning: not implemended in current version, program
                       ALFA perform alfa2 elimination)          

              Perform an alpha2-elimination for  Cu-Radiation.  The  program
          uses the algorithm by J. Ladell, A. Zagofsky and 5.  Pearlmnn  (J.
          App1. Cryst. B, 499 (1975)). The only input  parameter  needed  is
          the type of histogram to be used. Punch 3, 5 or 7 after  column  7
          for the 3, 5 or 7 type histogram, respectively.

          Continuation card

              If more than one SCALE,  BGVALU  or  THCOR  card  have  to  be
          submitted, the card name can be omitted (col. 1-6 left blank)  for
          all cards of the same type.

          FILES card

              Used to change the input file number. The  integer  number  on
          this card will be used as device number until a new FILES card  is
          encountered.

          END card

              Signals the end of a data set for a particular job.

          FINISH card

              This is the last card of the data deck. It terminates the job.


          III. ASSIGNMENT Of FILE NUMBERS AND FILE STRUCTURE

          No. File
               5   Card input (STEPCO.INP)
               6   Printer output (STEPCO.OUT)
              34   Step scan data input, coded or binary. The coded input is 
                   in free format in the order 2theta, counts, sigma or 
                   counts only. There can be more than one measurement per
                   record (card). The record length is 80 characters.
              14   Binary pattern output of corrected data. Each record
                   contains the 4 values 2theta, counts, 1/sigma and weight
                   (obtained with the users weight function). The first
                   record contains the label, and the second 2theta min,
                   2theta max and step size. (In current version this file 
                   has status "formatted").
              40   Coded step scan data output of scaled and merged data.
                   The file has the following structure
                   lst line: label
                   2nd line: 2theta min, 2theta max
                   3rd to 3+Nth line: N BGVALU cards used in the calculation
                            of the background
                   4+Nth line: FILES  5 card (return Input to card reader)
                   S+Nth line: 2theta, scaled counts, sigma, background etc.
                            (one data point per line)


               PEAK

          I. PROGRAM DESCRIPTION

              The program calculates an experimental standard  peak  profile
          function according  to  an  algorithm  described  by  Hepp  (Ph.D.
          Thesis, University of Zrich, 1981). As input it uses an  isolated
          peak of an observed pattern, which has only an alpha1 component or
          is a peak of a neutron pattern. (if  the  peak  also  contains  an
          alpha2 component, it must first be eliminated by using the  option
          in program STEPCO).  This  standard  peak  is  decomposed  into  a
          symmetric and an asymmetric part. These functions fi(s) and  fi(a)
          are output together with their derivatives fi(s)'  and  fi(a)'  in
          tabulated form, and  can  then  be  used  by  any  profile-fitting
          structure-refinement program.
              The program is written  in  FORTRAN-IV  and  has  been  tested
          extensively on the CDC Cyber 174  and  720  at  the  ETH  computer
          center.


          II. INPUT FILES

          a)   card input (PEAK.INP)
               Line 1:
               Cols.     1 - 6  TITLE
                         7 - 80 Alphanumeric text which will be written on
                                all output files.
               Line 2:
               Col              function of the field
                1 - 10   lover 2theta and
               11 - 20   upper 2theta value of the range of the isolated
                         peak to be considered in the pattern
               21 - 23   width of range in which function values must be
                         calculated (in units of half width at half height).
                         (Since the program automatically sets the limits,
                         at points where the function value is smaller than
                         1E-4 times the peak height, this filed can normally
                         be left blank).
               29 - 26   Number of cycles. If this field is left blank, a
                         convergence test will be made using the profile
                         R-value. If no convergence is reached after 2theta
                         cycles, the job is terminated.

          b)   FORT.14
               Observed pattern (corrected for background).
               Each record must contain at least the two values, 2theta and
               count rate.


          III. OUTPUT FILES

              In addition to the  printed  output,  three  different  output
          files are written. These are all formatted.
          a)   FORT.12 (standard peak function)
               Line   1: TITLE followed by the information on the title card
               Line   2:
               Col       function of the field
               1 -  5    PEAK
               10        number of standard peak function (default: 1)
               14 - 15   number of steps of peak function (51)
               16 - 25   Peak range factor (in multiples of half width)
                         determined by PEAK
               Lines 3 to 53: FORMAT(12X,5E12.9)
               Tabulated values of RI (in units of half width at half 
               height), fi(s), fi(a), fi(s)' and fi(a)'. Since all functions
               are either even or odd (have either a mirror plane or a two
               fold axis at their center),only the right half of to 
               functions are output (51 lines).

          b)   FORT.16
               Output of observed and fitted curve for plotting
               Line  1:  TITLE
               Line  2:  beginning and end of 2theta range, FORMAT(2F10.2)
               Lines 3   2theta, observed and fitted counts,
               up to 204:     FORMAT(f10.4,2E12.6)

          c)   FORT.22
               Output of symmetric and asymmetric function for plotting
               Line  1:  TITLE
               Line  2:  beginning and end of plot, FORMAT(2F10.2)
               Lines 3:  2theta, fi(s) and fi(a), FORMAT(F10.4,2E12.6)
               up to 204:


               SPRING

          I. PROGRAM DESCRIPTION

              The step scan profile analysis and indices generation  program
          prepares the input data needed by the program DATRDN in XRS-82  to
          create the binary data file. It analyses the  diffraction  profile
          for the dependence of the half width and peak asymmetry on 2theta.
          This is done with the aid of the standard peak function determined
          by PEAK. Alternatively, a polynomial in tan(theta)  or  cot(theta) 
          can be used to describe  the  variation  in  half  width  or  peak 
          asymmetry, respectively. From the space group   and   cell   data, 
          the program generates all possible indices. The  extinction  rules 
          are read from a file or can be supplied  by  the  user.  For  each 
          reflection an  HKL card containing hkl values, 2theta, Lp  factor, 
          half width and peak asymmetry, etc. is written on a file, which is 
          then used by DATRDN as input.
              Apart from these main functions of  the  program,  SPRING  can
          also be used to set up the complete input file for DATRDN. It will
          read a symmetry card file to select the appropriate symmetry trans
          formations and can also read form factor tables  in  free  format.
          This is used to write  SYMTRY  and  FORMFX  cards  in  the  format
          required by DATRDN. The function of a data card is identified by a
          name. All data are read in free format.


          II. INPUT DESCRIPTION

              The valid data cards are listed and briefly  described  below.
          Their parameter list is given on the page indicated. The parameter
          field always starts in column 7.

          Name            Function

          *LABEL   Title used in all subsequent programs
           SPRING  Main job control card
           CELL    Cell parameters
          *EXTICN  Rules for special extinctions
          *FORMFX  Form factor table
          *HALFWD  Parameters for half width function
          *LAUE    Laue class
          *PEAKAS  Parameters for peak asymmetry
          *PROFAN  Parameters for the profile analysis
           SPACE   Space group number
          *WAVLEN  Wavelenqth, polarisation ration, 2theta max
          *2THETA  2theta range
          *PREVEC  Preferred orientation vector
           END     Signals end of data and start of calculations
           FINISH  End of job
           blank   continuation card for FORMFX cards

          The data cards can be in any order,  except  of  course  the  END,
          FINISH and the continuation card.
          *These cards are optional.

          LABEL card
              Any alphanumeric information desired. It will  be  printed  at
          the top of each page and also written  at  the  beinninq  of  the
          coded input file for DATRDN.

          SPRING card
              The program flow is controlled by the following keywords which
          can be punched on this card.
              The  lst  word  is  the  compound  identification  (up  to   6
          characters) which is used in the XRS-82 system. It must always  be
          present.
          LISTH     causes  the  list  of  hkl,   2theta,   d-values,   sin
                    theta/lambda, half width, peak asymmetry and peak range
                    to be printed.
          NOCRD     Do not write (punch) DATRDN cards.
          NOEXT     Do not read extinction rules from symmetry data file
                    (C:\XRS\TAPE.8).
          NOIDEX    Do not generate Miller indices.
          OLDWD     read smoothed half width function values of a previous
                    job or pattern from file (FORT.24).
          OLDPA     read smoothed peak asymmetry function values of a
                    previous job or pattern from file (FORT.24).
          RAWWDP    read raw values (not smoothed) of half width and peak
                    asymmetry of a previous job from file (FORT.24).


          CELL card
              This card contains a code word  listed  in  table  1  for  the
          crystal system, and those lattice parameters which are  not  fixed
          by symmetry. The order is a, b, c, alfa, beta, gamma. Thus, in the
          hexagonal system only the values for a and c must  be  given  (and
          only those!)

          EXTICN card

              Special extinction rules can be defined with  this  card.  The
          code numbers are listed in table 2. The numbers must be  given  in
          the same order as in table 2 and must be followed by at least  one
          blank. All numbers must be given (including those equal  zero)  up
          to the last number no equal 0.  The  remaining  code  numbers  are
          zeroed by the program.

          FORMFX card

              Program SPRING can be used to  transform  atomic  form  factor
          cards written in free format into the fixed format of DATRDN. The
          rules for this card are as follows. First the atom type  is  given
          (1 to 4 characters) as defined in DATRDN. This is followed  by  as
          many pairs of sin theta/lambda and atomic scattering factor as the
          card can hold. These pairs of values can be continued on the  next
          card. If no atom type is  given  on  the  continuation  card,  the
          previous atom type is assumed. Only data for one atom can be given
          on the same card.

          HALFWD card

              The parameters for the half width function defined  below  are
          punched in the order U, V, W on this card:

                HWD(2theta) = sqrt(U + V*tan(theta) + W*tan(theta)**2)

          (If only one value is given it is taken as U, and V and W are  set
          to zero. If two values are given, they are taken as U and V.)
               The peak range (in multiples of the half width) can be
               supplied after the above values by writing RANGE followed by
               the factor.
          Note: This card must only be supplied if the 2theta-dependence is
                not determined numerically by the program (see PROFAN card).

          LAUE card

              For the correct determination of the  reflection  multiplicity
          (e.g. in the case of 4/m or 4/mmm) the Laue group must  be  known.
          Each Laue group is given a number, which can be found in table 1.
          Note: This card is only necessary if no SPACE GROUP card is
                submitted and there is more than one Laue group in the 
                crystal system used.


          PEAKAS card

              This card is similar to the HALFWD card  and  the  same  rules
          apply. It contains the parameters for the 2theta-dependence of the
          peak asymmetry according to the following function:

                  PAS(2theta) = a1 + a2/tan(theta + a3/tan(theta)**2

          PROFAN card
              In the profile analysis routines  of  SPRING  the  pattern  is
          analysed  for  the  2theta-dependence  of  half  width  and   peak
          asymmetry. The routine uses the standard  peak  function  for  the
          recognition of peaks  obeying  certain  criteria.  Some  of  these
          criteria or conditions are fixed; some are  variable  and  can  be
          defined on the PROFAN card. The  order  of  these  parameters  and
          their meaning is as follows:
          CTMIN Threshold value. Only regions with counting rates higher
                than this value are considered. Default: 200
          ZP    The program finds for each peak a "usable" region in which
                the peak behaves properly. To be on the safe side, a further
                ZP percent of the "usable" peak height can be cut off at the
                bottom. Default for ZP = .10
          HWMX  This is the maximum half width (in degree 2theta) which the
                program will accept for a peak. Peaks with large values are
                ignored in this analysis. Default: .6

          SPACE or SPACE GROUP card

              On this card the space group number as  defined  in  the  Int.
          Tables for X-ray Crystallography, Vol. I, is  supplied.  If  there
          are two orientations listed, the second one is marked with a minus
          sign  (e.g.  for  space  group  C2/c:  -15).  If  this   card   is
          encountered, the space group extinction are read from file as  are
          the symmetry operations for this space group.

          WAVLEN card

              This card is used to specify  the  wavelength  by  typing  the
          chemical symbol of the anode material. Cu, Fe or Mo will currently
          be accepted. If the symbol is immediately followed by a minus sign
          (e.q. Cu-) the weighted average of Kalpha1 and Kalpha2  is  taken,
          otherwise Kalpha1 will be used. If the  code  EX  is  punched  the
          program expects the value for an external wavelength on the card.
              The code word NE  followed  by  the  vavelength  implies  that
          neutron radiation was used. The default value for POLRA is set  to
          1.0 for the proper calculation of the  Lp-factor.  On  the  CONDIT
          card (or DATRDN) the correct flag for neutron  radiation  is  also
          set.
          Default: Cu
              In the second position (or in the first, if no code  word  for
          the vavelength is supplied)  the  value  for  2theta  max  may  be
          punched (maximum value for the generation of indices and  the  end
          of the powder pattern). It is  identical  to  2theta  max  on  the
          2THETA card.
          Default: 2theta max = 100 degrees 2theta

              In addition the  value  for  the  polarisation  ratio  can  be
          punched as the last number on the card. It must be preceded by the
          word POLRA. This is used for the  calculation  of  the  Lp  factor
          according to the following formula

                                sin(theta)**2*cos(theta)*(1.+POLRA)
                   y(i) = y(0)* -----------------------------------
                                    2.*(1.+POLRA*cos(2theta)**2

          Default: POLRA = .915

          2THETA card

              Used to define 2theta min and 2theta max (in this order) to be
          used. If only one value is given it is taken as 2theta max
          Default: 2theta min = 0.
                   2theta max = 100.

          PREVEC card

              Indices U,V,W of preferred orientation vector and (optionally)
          preferred orientation factor.
          The function used is:

                                 P= exp(p*cos(2sigma))

          where sigma = angle between scattering vector hkl and preferred
                        orientation vector (UVW)
                     p= preferred orientation factor

          END card

          Signals the end of a data set for a particular job.

          FINISH card

          This is the last card of a deck.

          Subroutine REFCOD

              This is a user subroutine in which the reflection codes  JCODE
          and JWD can be defined (see also HKL card (cols. 18 and 75, resp.)
          in program DATRDN and CRYLSP card (col. 57) in program CRYLSP).
              JCODE defines the  peak  shape  function  to  be  used  for  a
          particular reflection if more than one such function is used.
              The  reflections  can  also  be  devided  into  groups  having
          different (numeric) half width and peak  asymmetry  functions,  to
          allow for cases where  different  peak  widths  are  observed  for
          certain reflections. JWD is the group code.
              JCODE and JWD are independent, but will normally have the same
          value for a particular reflection.


          III. ASSIGNMENT OF FILE NUMBERS

          No.  Function
          5    Card input(SPRING.INP)
          6    Printer output(SPRING.OUT)
          8    Symmetry data file SYMFIL (symmetry cards, space group
               extinctions)
          35   DATRDN cards. Depending on the input provided for this job,
               this file can contain all cards (LABEL. CELL. FORMFX, LATICE
               PEAKF, MAXHKL, CONDIT, HKL) needed by the program DATRDN to
               create the binary data file. The file is terminated by an END
               and a FILES  5 card (which in XRS-82 returns the input stream
               to the card reader).
          l4   Binary pattern file as produced by STEPCO
          12   Standard peak function cards as obtained from program PEAK
          24   Input file for table of half width and peak asymmetry values
               (raw and smoothed) determined by a previous job (coded, see
               routine PROFAN for details).
          25   Output file for table of half width and peak asymmetry (raw
               and smoothed) as determined by this run. If considered
               necessary, this can be edited and used in a further job.


          Table 1: Code words and code numbers for the crystal systems and
                   the Laue group

          Crystal     system  Laue group        Explanations
                       Code          No.

          cubic        CUB     m3m    8
                                m3    7
          tetragonal   TET    4/mmm   6
                               4/m    5
          orthorhombic ORT     mmm    4
          hexagonal    HEX     6/m   14           hexagonal
                               6/m   13           hexagonal
                               3m1   12           trigonal
                               31m   15           trigonal
                                3    11           trigonal
          monoclinic   MON1    2/m    3           first setting, z unique
                       MON2    2/m    2           second setting, y unique
                       M0N3                       third setting, x unique
          triclinic    TRIC    -1     1           triclinic
          rhombohedral ROB     -3m   10           rhombohedral obverse
                               -3     9           rhombohedral obverse
                       RRE     -3m   10           rhombohedral reverse
                               -3m    9           rhombohedral reverse
                       HRO     -3m   10        hexagonal lattice parameters,
                               -3     9    transform to rhombohedral obverse
                       HRR     -3m   10        hexagonal lattice parameters,
                               -3     9    transform to rhombohedral reverse
                       RHE     -3m   12     rhombohedral lattice parameters,
                               -3    11                transform to trigonal


          Table 2: Code numbers for systematic extinctions

               I1. Nonextinction indicator for lattice type as follows:
          I1=1 A-centered (k+l = 2n)
          I1=2 B-centered (h+l = 2n)
          11=3 C-centered (h+l = 2n)
          I1=4 F-centered (h+k = 2n, h+l = 2n, k+l = 2n)
          11=5 I-centered (h+k+l = 2n)
          I1=6 R-obverse (-h+k+l = 3n)
          11=7 R-reverse (h-k+l = 3n)
          I1=8 hexagonal (h-kl = 3n)
          I1=9 or 0 Primitive (no conditions)
               I2. Nonextinction indicator for (hk0) zone as foUows:
          I2=0 no conditions
          I2=1 a-glide(h=2n)
          I2=2 b-glide(h=2n)
          I2=3 n-glide(h+k=2n)
          I2=4 d-glide(h+k=4n,h=2n,k=2n).
               I3. Nonextinction indicator for (h0l) zone as follows:
          I3=0 no conditions
          I3=1 a-glide(h=2n)
          I3=2 c-glide(l=2n)
          I3=3 n-glide(h+l=2n)
          I3=4 d-glide(h+l=4n,h=2n,l=2n)
               I4. Nonextinction indicator for (Okl) zone as follows:
          I4=0 no conditions
          I4=1 b-glide(k=2n)
          I4=2 c-glide(l=2n)
          I4=3 n-glide(k+l=2n)
          I4=4 d-glide(k+l=4n,k=2n,l=2n).
               I5. Nonextinction indicator for (hhl) zone as follows:
          I5=0 no conditions
          I5=1 c(n)-glide (l=2n)
          I5=2 d-glide (2h+l=4n)
               I6. Nonextinction indicator for (-hhl) zone as follows:
          I6=0 no conditions
          I6=1 c(n)-glide (l=2n)
          I6=2 d-glide (2h+l=4n).
               I7. Nonextinction indicator for (hkh) zoneas folows:
          I7=0 no conditions
          I7=1 b(n)-glide (k=2n)
          I7=2 c-glide (2h+k=4n).
               I8. Nonextinction indicator for (hk-h) zone as follows:
          I8=0 no conditions
          I8=1 b(n)-glide(k=2n)
          I8=2 d-glide(2h+k=4n)
               I9. Nonextinction indicator for (hkk) zone as follows:
          I9=0 no conditions
          I9=1 a(n)-glide(h=2n)
          I9=2 d-glide(2k+h=4n).
               I10. Nonextinction indicator for (hk-k) zone as follows:
          I10=0 no conditions
          I10=1 a(n)-glide(h=2n)
          I10=2 d-glide(2k+h=4n).


          Table 2: Code numbers for systematic extinctions (cont.)

               I11. Nonextinction indicator for (h00) row as follows:
          I11=0 no conditions
          I11=1 21 or 42 screw (h=2n)
          I11=2 41 or 43 screw (h=4n).
               I12. Nonextinction indicator for (0k0) row as follows:
          I12=0 no conditions
          I12=1 21 or 42 screw(k=2n)
          I12=2 41 or 43 screw(k=4n).
               I13. Nonextinction indicator for (OOl) row as follows:
          I13=0 no conditions
          I13=1 21, 42 or 63 screw(l=2n)
          I13=2 31, 32, 62 or 64 screw(l=3n)
          I13=3 41 or 43 screw(l=4n)
          I13=4 61 or 65 screw(l=6n).


               SCATTER

          I. PROGRAM DESCRIPTION
          This program is optional.

              The program prepares DATRDN.INP  file.  Scatter  uses  FORT.35 
          files prepared by SPRING program and adds to it atomic  scattering 
          factors in required format. For each atom or ion a few different
          scattering factors are available (Inter.  Tables v.III & IV).
          Both neutron and X-ray scattering factors are available (file
          TAPE.2). All necessary information are read interactively from
          keyboard.


          II. INPUT FILES

          a)   FORT.35
               Output file of the SPRING program 
          b)   File with scatter data (C:\XRS\TAPE.2)
          c)   Input file for SPRING (SPRING.INP)

          III. OUTPUT FILES

          a)   Input file for the DATRDN (DATRDN.INP)


